Package twisted :: Package internet :: Module interfaces :: Class IReadWriteDescriptor

[frames | no frames]

## Class IReadWriteDescriptor

      Interface --+
                  |
    IFileDescriptor --+
                      |
        IReadDescriptor --+
                          |
      Interface --+       |
                  |       |
    IFileDescriptor --+   |
                      |   |
       IWriteDescriptor --+
                          |
                         IReadWriteDescriptor

I am a `FileDescriptor` that can both read and write.

Method Summary
Inherited from IReadDescriptor
| ``doRead`(self)` Some data is available for reading on your descriptor.
Inherited from IWriteDescriptor
| ``doWrite`(self)` Some data is available for reading on your descriptor.
Inherited from IFileDescriptor
| ``fileno`(self)` fileno() -> int

Generated by Epydoc 2.0 on Sat May 15 20:08:54 2004 | http://epydoc.sf.net